# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::MetaData Class Reference

MetaData is a simple map of key/value strings. More...

`#include <global.h>`

Inheritance diagram for KIO::MetaData:

[legend]
Collaboration diagram for KIO::MetaData:

[legend]
List of all members.

## Public Member Functions

| MetaData ()
| MetaData (const QMap< QString, QString > &metaData)
MetaData & | operator+= (const QMap< QString, QString > &metaData)

## Detailed Description

MetaData is a simple map of key/value strings.

Definition at line 491 of file global.h.

## Constructor & Destructor Documentation

KIO::MetaData::MetaData | ( |  | ) | `[inline]`

| Creates an empty meta data map. Definition at line 497 of file global.h.

KIO::MetaData::MetaData | ( | const QMap< QString, QString > & | metaData | ) | `[inline]`

| Copy constructor. Definition at line 501 of file global.h.

## Member Function Documentation

MetaData& KIO::MetaData::operator+= | ( | const QMap< QString, QString > & | metaData | ) | `[inline]`

Adds the given meta data map to this map.

Parameters:

  | metaData | the map to add

Returns:
  this map

Definition at line 509 of file global.h.

References QMap::begin(), and QMap::end().

The documentation for this class was generated from the following file:

- global.h

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:59 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003